package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

public class MusicGroupTeachersDto{
    @ApiModelProperty(value = "教师名称",required = true)
    private String teacherName;

    @ApiModelProperty(value = "教师编号",required = true)
    private Integer teacherId;

    @ApiModelProperty(value = "联系电话",required = true)
    private String teacherPhone;

    @ApiModelProperty(value = "工作类型",required = true)
    private String jobNature;

    @ApiModelProperty(value = "合奏班名称",required = true)
    private String classGroupName;

    @ApiModelProperty(value = "合奏班级编号",required = true)
    private Integer classGroupId;

    @ApiModelProperty(value = "执教班级名称",required = true)
    private String courseScheduleName;

    @ApiModelProperty(value = "出勤次数",required = true)
    private Integer num;

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherPhone() {
        return teacherPhone;
    }

    public void setTeacherPhone(String teacherPhone) {
        this.teacherPhone = teacherPhone;
    }

    public String getJobNature() {
        return jobNature;
    }

    public void setJobNature(String jobNature) {
        this.jobNature = jobNature;
    }

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public String getCourseScheduleName() {
        return courseScheduleName;
    }

    public void setCourseScheduleName(String courseScheduleName) {
        this.courseScheduleName = courseScheduleName;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }
}
